# Method Image.Image()->bitscale()

Method bitscale

  `object bitscale(float factor)`
  `object bitscale(float xfactor, float yfactor)`

Description

  scales the image with a factor, without smoothing. This routine is faster than scale, but gives less correct results

  original | bitscale(0.75) | scale(0.75)

Parameter `factor`

  factor to use for both x and y

Parameter `xfactor`
Parameter `yfactor`

  separate factors for x and y

Returns

  the new image object

Method bitscale

  `object bitscale(int newxsize, int newysize)`
  `object bitscale(0, int newysize)`
  `object bitscale(int newxsize, 0)`

Description

  scales the image to a specified new size, if one of newxsize or newysize is 0, the image aspect ratio is preserved.

Parameter `newxsize`
Parameter `newysize`

  new image size in pixels

Returns

  the new image object

Note

  resulting image will be 1x1 pixels, at least